# valuenodedynamiclistremovesmart.cpp File Reference

Template File. More...

`#include "valuenodedynamiclistremovesmart.h"`
`#include "valuenodedynamiclistremove.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::ValueNodeDynamicListRemoveSmart)
| ACTION_SET_NAME (Action::ValueNodeDynamicListRemoveSmart,"ValueNodeDynamicListRemoveSmart")
| ACTION_SET_LOCAL_NAME (Action::ValueNodeDynamicListRemoveSmart, N_("Remove Item (Smart)"))
| ACTION_SET_TASK (Action::ValueNodeDynamicListRemoveSmart,"remove")
| ACTION_SET_CATEGORY (Action::ValueNodeDynamicListRemoveSmart, Action::CATEGORY_VALUEDESC|Action::CATEGORY_VALUENODE)
| ACTION_SET_PRIORITY (Action::ValueNodeDynamicListRemoveSmart,-19)
| ACTION_SET_VERSION (Action::ValueNodeDynamicListRemoveSmart,"0.0")
| ACTION_SET_CVS_ID (Action::ValueNodeDynamicListRemoveSmart,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::ValueNodeDynamicListRemoveSmart |  | ) |

ACTION_SET_NAME | ( | Action::ValueNodeDynamicListRemoveSmart | ,
|  | "ValueNodeDynamicListRemoveSmart" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::ValueNodeDynamicListRemoveSmart | ,
|  | N_("Remove Item (Smart)") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::ValueNodeDynamicListRemoveSmart | ,
|  | "remove" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::ValueNodeDynamicListRemoveSmart | ,
|  | Action::CATEGORY_VALUEDESC|Action::CATEGORY_VALUENODE |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::ValueNodeDynamicListRemoveSmart | ,
|  | - | 19 |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::ValueNodeDynamicListRemoveSmart | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::ValueNodeDynamicListRemoveSmart | ,
|  | "$Id$" |  |
| ) |  |  |